# GrimoireML

<img src="https://github.com/PedroNunesPagnussat/GrimoireML/blob/a2f0a5d8fd47ec7734ea2e581f3f4a4e328a2140/imgs/logo.png" width="256">

GrimoireML is an open-source side project aimed at exploring and experimenting with machine learning and data science. It's a playground for enthusiasts, learners, and anyone interested in diving into the world of data. Feel free to explore, contribute, or just have fun with it!


## Installation

You can clone the repository and install GrimoireML locally:

```bash
pip install grimoireml
```

## Importing

```python
import grimoireml as gml

# Now you can use the 'gml' alias to access GrimoireML's functions and classes
```

## Contributing

Want to contribute? Great! Feel free to fork the project, make your changes, and submit a pull request. Check out [CONTRIBUTING.md](CONTRIBUTING.md) for more details.

## License

GrimoireML is licensed under the MIT License
## Support

Do you have any questions or run into issues? Open an issue on our [GitHub repository](https://github.com/PedroNunesPagnussat/grimoireml).

## Acknowledgements

A big shoutout to everyone who has played around with GrimoireML, shared ideas or contributed in any way.

### Inspiration

GrimoireML draws heavy inspiration from well-established machine learning libraries such as [scikit-learn](https://scikit-learn.org/) and [TensorFlow](https://www.tensorflow.org/). The design principles, algorithms, and overall approach are influenced by these pioneering projects. We encourage users to explore these libraries as well, and we express our gratitude to the developers and contributors of scikit-learn and TensorFlow for their work in the field of machine learning.


---

Enjoy experimenting with GrimoireML!
